/* Compilation flags for the source code.

If you want some specific feature remove the remarks, add
remarks if don't. Or change the macro value, if is the case. */



// Enable the light system. If don't, use polygons without
// shadows. This flag just change the polygon draw functions,
// the memory allocation for light tables and all the rest
// continue existing without flag change.
// Incrise engine speed very much, if desabled.
#define COMP_LIGHTS



// Use light system only with shadows between dark and be texture
// colors. If you add remarks the code used generate light tables
// that go from dark to texture color and than to light source color.
// You need delete the light table files (normaly all: *.LTB) to
// force the regeneration with the new configuration.
#define COMP_COLOR_LIGHTS



// Comment to draw textured polys with flat shades - faster.
// Uncomment to draw with insterpolated shades (like gouraud) - slower.
#define COMP_INTERPOLATED_LIGHT



// Enable assembler code. If don't, is used only C/C++ code.
#define COMP_ASM



// What print out in the scenery load process with CFileTXE
// 0 - no output
// 1 - show file names beeing load and error messages
// 2 - show same information from previous item (1), and blocks found
#define COMP_SHOWLOADING 1
